#ifndef LOG_H
#define LOG_H

#include <fstream>
using namespace std;

//ofstream examplefile ("example.txt");

class SimpleFileLogger
{
public:

	SimpleFileLogger();
	SimpleFileLogger(char * filename);

	static int log(const char * className, char * message);
	
	static void close()
	{
		logfile.close();
	}

	static void open(char * filename)
	{
		logfile.open (filename, ios::out | ios::app ); 
	}

private:
	static ofstream logfile;

};

#endif